#! /bin/sh
lib64="lib/x86_64-linux-gnu"
echo "Before start installation, make sure that all the libraries listed bellow, are installed on your host system !!!"
echo -n "give an ID-number for SYSADMIN:"
read ID
echo -n "give a password for SYSADMIN:"
read PW
echo -n "give the port number:"
read PORT
echo -n "give the upload speed limit in Mbit/sec:"
read UL
echo -n "give the download speed limit in Mbit/sec:"
read DL
echo "#mandatory port number:
Port=$PORT
#mandatory speed limits in Mbit/sec:
UploadLimit=$UL
DownloadLimit=$DL
" > ./etc/pavc-server.conf
echo "$ID"_"$PW"

cp  /etc/host.conf      ./etc
cp  /etc/hostname       ./etc
cp  /etc/hosts          ./etc
cp  /etc/localtime      ./etc
cp  /etc/networks       ./etc
cp  /etc/nsswitch.conf  ./etc
cp  /etc/resolv.conf    ./etc
cp  /bin/bash           ./bin
cp  /bin/sh             ./bin
cp  /sbin/ldconfig.real          ./sbin
cp -P  /$lib64/libreadline.so*   ./lib64
cp -P  /$lib64/libtinfo.so*      ./lib64
cp -P  /$lib64/ld*               ./lib64
cp -P  /$lib64/libc*             ./lib64
cp -P  /$lib64/libdl*            ./lib64
cp -P  /$lib64/libgcc*           ./lib64
cp -P  /$lib64/libm*             ./lib64
cp -P  /$lib64/libnss*           ./lib64
cp -P  /$lib64/libpthread*       ./lib64
cp -P  /$lib64/libresolv*        ./lib64
cp -P  /$lib64/librt*            ./lib64
cp -P  /$lib64/libz.so*          ./lib64
cp -P  /$lib64/libbz2.so*        ./lib64
cp -P  /$lib64/liblzma.so*       ./lib64
cp -P  /usr/$lib64/libasound.so*        ./lib64
cp -P  /usr/$lib64/libjack.so*          ./lib64
cp -P  /usr/$lib64/libogg.so*           ./lib64
cp -P  /usr/$lib64/libstdc++.so.6*      ./lib64
cp -P  /usr/$lib64/libvorbisenc.so*     ./lib64
cp -P  /usr/$lib64/libvorbis.so*        ./lib64
cp -P  /usr/$lib64/libX11.so*           ./lib64
cp -P  /usr/$lib64/libXau.so*           ./lib64
cp -P  /usr/$lib64/libxcb-shape.so*     ./lib64
cp -P  /usr/$lib64/libxcb-shm.so*       ./lib64
cp -P  /usr/$lib64/libxcb.so*           ./lib64
cp -P  /usr/$lib64/libxcb-xfixes.so*    ./lib64
cp -P  /usr/$lib64/libXext.so*          ./lib64
cp -P  /usr/$lib64/libXv.so*            ./lib64
cp -P  /usr/local/lib64/libavcodec.so*     ./usr/local/lib64
cp -P  /usr/local/lib64/libavdevice.so*    ./usr/local/lib64
cp -P  /usr/local/lib64/libavfilter.so*    ./usr/local/lib64
cp -P  /usr/local/lib64/libavformat.so*    ./usr/local/lib64
cp -P  /usr/local/lib64/libavutil.so*      ./usr/local/lib64
cp -P  /usr/local/lib64/libFFdecsa.so      ./usr/local/lib64
cp -P  /usr/local/lib64/libjpeg.so.62*     ./usr/local/lib64
cp -P  /usr/local/lib64/libmp3lame.so*     ./usr/local/lib64
cp -P  /usr/local/lib64/libpostproc.so*    ./usr/local/lib64
cp -P  /usr/local/lib64/libswresample.so*  ./usr/local/lib64
cp -P  /usr/local/lib64/libswscale.so*     ./usr/local/lib64
cp -P  /usr/local/lib64/libx264.so.148     ./usr/local/lib64

chroot ./ /sbin/ldconfig.real

chroot --userspec=1000:100  ./ /sbin/pavc-server -nd -mksysadmin="$ID"_"$PW" -ulimit=50 -dlimit=50
